/* Musical Blob
 * University of Washington Computer Science and Engineering
 * Sound Capstone (CSE 481i)
 * Project Members: Nathan Armstrong, Daniel Chesney, Andrew Foster
 *
 * Particle
 * For documentation, see Particle.hpp
 */

#include "Particle.hpp"

void Particle::clearForceAccum(){ forceAccum = TripleD(); }

void Particle::addForce(TripleD f){ forceAccum += f; }

void Particle::updateParticle(double tssquare){
	if(physActive){
		TripleD temp = currPos;
		currPos = currPos + currPos - prevPos + forceAccum.scale(tssquare);
		prevPos = temp;
	}
}

